Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 629728 - media-video/videocut-0.2.0 : : /.../ld: cannot find -lGL
Summary: media-video/videocut-0.2.0 : : /.../ld: cannot find -lGL
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard: Pending removal: 2018-04-18
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2017-09-03 07:30 UTC by Toralf Förster
Modified: 2018-04-17 12:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.29 KB, text/plain)
2017-09-03 07:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,18.50 KB, text/plain)
2017-09-03 07:30 UTC, Toralf Förster
Details
environment (environment,83.24 KB, text/plain)
2017-09-03 07:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.44 KB, application/x-bzip)
2017-09-03 07:31 UTC, Toralf Förster
Details
media-video:videocut-0.2.0:20170903-024945.log (media-video:videocut-0.2.0:20170903-024945.log,23.21 KB, text/plain)
2017-09-03 07:31 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.13 KB, application/x-bzip)
2017-09-03 07:31 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-03 07:30:48 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/6.4.0/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lGL
collect2: error: ld returned 1 exit status
make: *** [Makefile:162: build/result/videocut] Error 1
emake failed
 * ERROR: media-video/videocut-0.2.0::gentoo failed (compile phase):

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-systemd_libressl_20170902-185407

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)




emerge -qpv media-video/videocut
[ebuild  N    ] media-video/videocut-0.2.0
Comment 1 Toralf Förster gentoo-dev 2017-09-03 07:30:52 UTC
Created attachment 492038 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-03 07:30:55 UTC
Created attachment 492040 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-03 07:30:58 UTC
Created attachment 492042 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-03 07:31:02 UTC
Created attachment 492044 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-03 07:31:05 UTC
Created attachment 492046 [details]
media-video:videocut-0.2.0:20170903-024945.log
Comment 6 Toralf Förster gentoo-dev 2017-09-03 07:31:08 UTC
Created attachment 492048 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2018-04-17 12:10:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b63746bdec9ffdbe2904fbb0a5ba5476489b2214

commit b63746bdec9ffdbe2904fbb0a5ba5476489b2214
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-17 12:06:27 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-17 12:06:27 +0000

    media-video/videocut: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/629728
    Closes: https://bugs.gentoo.org/629728

 media-video/videocut/Manifest                      |  1 -
 .../videocut/files/01-fix-hardened-ftbfs.diff      | 16 ---------
 media-video/videocut/files/videocut                |  3 --
 media-video/videocut/metadata.xml                  | 10 ------
 media-video/videocut/videocut-0.2.0.ebuild         | 40 ----------------------
 profiles/package.mask                              |  4 ---
 6 files changed, 74 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b63746bdec9ffdbe2904fbb0a5ba5476489b2214

commit b63746bdec9ffdbe2904fbb0a5ba5476489b2214
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-17 12:06:27 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-17 12:06:27 +0000

    media-video/videocut: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/629728
    Closes: https://bugs.gentoo.org/629728

 media-video/videocut/Manifest                      |  1 -
 .../videocut/files/01-fix-hardened-ftbfs.diff      | 16 ---------
 media-video/videocut/files/videocut                |  3 --
 media-video/videocut/metadata.xml                  | 10 ------
 media-video/videocut/videocut-0.2.0.ebuild         | 40 ----------------------
 profiles/package.mask                              |  4 ---
 6 files changed, 74 deletions(-)